#!/bin/sh

ACTION_SCRIPT=/etc/init.d/hostapd_cli_event.sh
CONFIG_FILE=/etc/hostapd.conf

BR_IFNAME=br0
WLAN_IFNAME=wlan0

hostapd_start() {
	echo "Starting hostapd..."

	hostapd -B ${CONFIG_FILE}
	brctl addif ${BR_IFNAME} ${WLAN_IFNAME}

	hostapd_cli -B -i ${WLAN_IFNAME} -a ${ACTION_SCRIPT}
}

hostapd_stop() {
	echo "Stopping hostapd..."

	killall hostapd_cli

	brctl delif ${BR_IFNAME} ${WLAN_IFNAME}
	killall hostapd
}

case "$1" in
"start")
	hostapd_start
	;;
"stop")
	hostapd_stop
	;;
*)
	echo "usage $0 start|stop"
	exit 1
	;;
esac
